# $Revision: 1.23 $, $Date: 2011/06/13 07:20:11 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Image
%define		pnam	Imlib2
Summary:	Interface to the Imlib2 image library
Summary(pl.UTF-8):	Interfejs do biblioteki obrazów Imlib2
Name:		perl-Image-Imlib2
Version:	2.03
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Image/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	303b91fae2b863903e41a3cac34fa0d3
URL:		http://search.cpan.org/dist/Image-Imlib2/
BuildRequires:	imlib2-devel
BuildRequires:	perl-Module-Build >= 0.20
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Image::Imlib2 is a Perl port of Imlib2, a graphics library that does
image file loading and saving as well as manipulation, arbitrary
polygon support, etc. It does ALL of these operations FAST. It allows
you to create colour images using a large number of graphics
primitives, and output the images in a range of formats.

%description -l pl.UTF-8
Image::Imlib2 to perlowy port Imlib2 - biblioteki graficznej
wczytującej, zapisującej i przetwarzającej obrazy z obsługą dowolnych
wielokątów itp. Wykonuje WSZYSTKIE te operacje SZYBKO. Pozwala na
tworzenie kolorowych obrazów przy użyciu dużej liczby prymitywów
graficznych i zapis ich w wielu formatach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	destdir=$RPM_BUILD_ROOT
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd examples
for f in * ; do
	sed -e "s@#!/usr/local/bin/perl@#!/usr/bin/perl@" $f \
		> $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorarch}/Image/Imlib2.pm
%dir %{perl_vendorarch}/auto/Image/Imlib2
%{perl_vendorarch}/auto/Image/Imlib2/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Image/Imlib2/*.so
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/*.txt
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%{_mandir}/man3/Image::Imlib2*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Image-Imlib2.spec,v $
Revision 1.23  2011/06/13 07:20:11  qboosh
- package examples once

Revision 1.22  2011/06/12 21:42:12  marti
- up to 2.03

Revision 1.21  2010/11/12 23:38:06  pawelz
- release 3

Revision 1.20  2010/06/06 08:37:54  arekm
- release 2

Revision 1.19  2009/08/26 06:58:00  amateja
- updated to 2.02

Revision 1.18  2009/03/14 11:49:54  hawk
- release 2

Revision 1.17  2008/03/02 16:44:19  radek
- version 2.00

Revision 1.16  2008-02-10 12:12:15  arekm
- rel 2

Revision 1.15  2008-01-10 08:38:39  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.14  2007-03-31 11:28:51  qboosh
- generic URL

Revision 1.13  2007/03/18 14:39:13  radek
- version 1.13

Revision 1.12  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:37  baggins
- converted to UTF-8

Revision 1.10  2005/06/14 08:44:43  petec
- up to 1.07

Revision 1.9  2004/11/03 22:30:27  paladine
- formatting

Revision 1.8  2004/08/08 18:45:22  adamg
- updated to 1.03

Revision 1.7  2004/06/05 18:10:41  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.6  2004/05/30 16:51:18  adamg
- updated to 1.02

Revision 1.5  2004/05/05 18:56:59  qboosh
- pl, updated perl deps

Revision 1.4  2004/05/05 17:21:56  ankry
 fixed build, restored BR

Revision 1.3  2004/05/05 16:17:14  ankry
- ported to Ac, rel. 2

Revision 1.2  2004/05/05 13:55:19  blues
- small fix

Revision 1.1  2004/05/05 13:48:03  blues
- initial, RA-centric
